<?php defined('SYSPATH') OR die('No direct access allowed.');
/**
 * Geomap widget
 *
 * @package NINJA
 * @author op5 AB
 * @license GPL
 */
class Geomap2_Widget extends widget_Base {
	public function options() {

		$options = parent::options();
		// Don't add refresh, geomap reloads itself
		unset($options['refresh']);

		$option = new option('geomap2', 'height', 'Height (px)', 'input', array('size'=>3), 472);
		$option->should_render_js(false);
		$options[] = $option;
		return $options;
	}

	public function index()
	{
		# fetch widget view path
		$view_path = $this->view_path('view');
		$this->js = array('modules/geomap/widgets/geomap2/js/geomap');
		$arguments = $this->get_arguments();
		require($view_path);
	}

        public function get_metadata() {
                return array_merge(parent::get_metadata(), array(
                        'friendly_name' => 'Geomap',
                        'instanceable' => true
                ));
        }
}
